
use strict;
use warnings;

use 5.010001;

use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "Run Data::Unixish function on the command-line",
  "AUTHOR" => "Steven Haryanto <stevenharyanto\@gmail.com>",
  "BUILD_REQUIRES" => {},
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30"
  },
  "DISTNAME" => "App-dux",
  "EXE_FILES" => [
    "bin/dux"
  ],
  "LICENSE" => "perl",
  "NAME" => "App::dux",
  "PREREQ_PM" => {
    "Data::Unixish" => "1.31",
    "Module::List" => 0,
    "Perinci::CmdLine" => "0.98",
    "Perinci::Sub::Wrapper" => "0.41",
    "Tie::Diamond" => "0.05",
    "Tie::Simple" => 0
  },
  "TEST_REQUIRES" => {
    "File::Spec" => 0,
    "IO::Handle" => 0,
    "IPC::Open3" => 0,
    "Test::More" => 0
  },
  "VERSION" => "1.39",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Data::Unixish" => "1.31",
  "File::Spec" => 0,
  "IO::Handle" => 0,
  "IPC::Open3" => 0,
  "Module::List" => 0,
  "Perinci::CmdLine" => "0.98",
  "Perinci::Sub::Wrapper" => "0.41",
  "Test::More" => 0,
  "Tie::Diamond" => "0.05",
  "Tie::Simple" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



